
Foreman - Bug #37312

Use @redhat-cloud-services/frontend-components-utilities@4.0.7

03/29/2024 04:32 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0, 3.9.3

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10116,

https://github.com/theforeman/foreman/p

ull/10129,

https://github.com/theforeman/foreman/p

ull/10130

  

Description

Pin @redhat-cloud-services/frontend-components-utilities@4.0.7

4.0.8 includes p-all (

https://www.npmjs.com/package/@redhat-cloud-services/frontend-components-utilities?activeTab=dependencies) which require

node16 which our projects are not using.

foreman-js pulls in the package as a dependency of @redhat-cloud-services/frontend-components which is pinned at 3.8.12 

https://github.com/theforeman/foreman-js/blob/3c22a72326bd176f518e1297bdebc216b06545aa/packages/vendor-core/package.json

#L34

However, @redhat-cloud-services/frontend-components uses @redhat-cloud-services/frontend-components-ulitilities >=3.0.0 which

pulls in 4.0.8 breaking CI.

Associated revisions

Revision 7008091a - 04/09/2024 12:56 PM - Samir Jha 

Fixes #37312 - Upgrade foreman-vendor packages to 13.x

History

#1 - 03/29/2024 04:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Samir Jha

- Pull request https://github.com/theforeman/foreman/pull/10114 added

#2 - 04/03/2024 04:27 PM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/10114)

#3 - 04/04/2024 03:32 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10116 added

#4 - 04/09/2024 12:56 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#5 - 04/09/2024 01:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7008091a7245a89f98ce459751d0e7b5fe08db95.
#6 - 04/17/2024 01:19 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10129 added

#7 - 04/17/2024 01:23 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10130 added

#8 - 04/19/2024 12:07 PM - The Foreman Bot

- Fixed in Releases 3.9.3 added

Powered by TCPDF (www.tcpdf.org)

05/08/2024 2/2

http://www.tcpdf.org

